//illdm2

//WALLS

textures/illdm2/effect_wall
{
	q3map_surfacelight 1500	
	q3map_nonplanar	
	q3map_shadeangle 90
	surfaceparm metalsteps
	{
		map textures/illdm2/honeycomb.tga
		//map textures/illdm2/sfx_bluy.tga
		depthWrite
		blendFunc blend
		tcMod scroll 1 0.75
	}	
	{
    	map textures/illdm2/effect_wall.tga
    	alphaFunc GE128
    	depthWrite
    	rgbGen vertex
	}
	{
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
	



//------------------PHONG'ED---------------------

textures/illdm2/panal_floor_phong
{
	qer_editorimage textures/illdm2/source/panal_bump.tga
   	q3map_nonplanar
   	q3map_shadeangle 120
    {
		map textures/illdm2/panal_floor.tga
		rgbGen identity
	}
    {
		map $lightmap
        blendFunc filter
		rgbGen identity
	}
}

textures/illdm2/metal
{   
   	q3map_nonplanar
   	q3map_shadeangle 120
    {
		map textures/illdm2/metal.tga
		rgbGen identity
	}
    {
		map $lightmap
        blendFunc filter
		rgbGen identity
	}
}

textures/illdm2/metal_shiny
{   
	qer_editorimage textures/illdm2/metal.tga
   	q3map_nonplanar
   	q3map_shadeangle 120
    {
        map textures/effects/tinfx.tga       
        tcGen environment
        rgbGen vertex
	}  
    {
		map textures/illdm2/metal.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
    {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
         
}

textures/illdm2/metal_trim
{   
   	q3map_nonplanar
   	q3map_shadeangle 120
   	//q3map_normalimage textures/illdm2/source/metal_trim_bump.tga
    {
		map textures/illdm2/metal_trim.tga
		rgbGen identity
	}
    {
		map $lightmap
        blendFunc filter
		rgbGen identity
	}         
}

textures/illdm2/claws
{
	q3map_nonplanar
	q3map_shadeangle 179
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/illdm2/claws.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/illdm2/patchwall_phong
{
	qer_editorimage textures/base_wall/patch10.tga
	q3map_nonplanar
	q3map_shadeangle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_wall/patch10.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}




//---------------SFX------------------------

textures/illdm2/jumppad
{
	qer_editorimage textures/illdm2/jumppad.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 1500
	surfaceparm nodamage
	surfaceparm nolightmap
	{
		map textures/illdm2/jumppad.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		clampmap textures/illdm2/jumppad_sfx1.tga
		blendfunc gl_one gl_one
		tcMod stretch sin .4 .5 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
	{
		clampmap textures/illdm2/jumppad_sfx2.tga
		blendfunc gl_one gl_one
		tcMod rotate 120
		rgbGen wave square .9 .1 .0 0.33333333
	}
}

//textures/illdm2/jumppad
//{
//	qer_editorimage textures/sfx/bouncepad01_diamond2cTGA.tga
//	//q3map_surfacelight 2000
//	surfaceparm nodamage
//	q3map_lightimage textures/sfx/jumppadsmall.tga	
//	q3map_surfacelight 500
//	{
//		map textures/sfx/bouncepad01_diamond2cTGA.tga
//		rgbGen identity
//	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendfunc gl_dst_color gl_zero
//	}
//	{
//		map textures/sfx/bouncepad01b_layer1.tga
//		blendfunc gl_one gl_one
//		rgbGen wave sin .5 .5 0 1.5	
//	}
//	{
//		clampmap textures/sfx/jumppadsmall.tga
//		blendfunc gl_one gl_one
//		tcMod stretch sin 1.2 .8 0 1.5
//		rgbGen wave square .5 .5 .25 1.5
//	}
//}

textures/illdm2/honey_win
{
	qer_editorimage textures/illdm2/honey_win.tga
	//q3map_lightimage textures/sfx/jumppadsmall.tga	
	//q3map_surfacelight 10000
	//surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/illdm2/honey_win.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/illdm2/window.tga
		blendfunc gl_one gl_one
		rgbGen wave sin 0.7 .3 0 0.3	
	}
}




//--------------LIGHTS------------------------

textures/illdm2/vert_light
{
	qer_editorimage textures/illdm2/vert_light.tga
	//q3map_lightimage map textures/illdm2/honeycomb2.tga
	surfaceparm nomarks
	//q3map_surfacelight 400
	{
		map textures/base_light/runway_glow.tga
		tcmod scale 1 .25
		rgbgen wave square -1 2 0 8
		tcmod scroll 0 .5
	}
	{
		map textures/illdm2/vert_light.tga
		blendFunc blend
		alphaFunc GE128
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/illdm2/honeycomb2.tga
		blendFunc add
		alphaFunc GE128
		rgbGen wave sin .8 0.2 0 .25
	} 
}

textures/illdm2/hex_dirty_light
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}




//----------------------------SKYBOX----------------------------

textures/illdm2/moonlight
{
	qer_editorimage env/xnight2_up.tga
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	q3map_surfacelight 25
	q3map_lightsubdivide 256
	q3map_globaltexture
	q3map_sunExt	1 .975 .9 140 325 55 0.5 16		//red green blue intensity degrees elevation deviance samples
	q3map_sunExt	1 .925 .65 40 140 30 0.5 16
	q3map_sunExt	1 .85 .55 20 60 -40 0.5 16
	
	nopicmip
	nomipmaps
	
	skyparms env/xnight2 - -
}




//--------------------------TERRAIN-------------------------

textures/illdm2/terrain1
{
        qer_editorimage textures/illdm2/ter_rock.tga
	
	q3map_nonplanar
	q3map_shadeangle 90
	//q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/illdm2/fire.tga	// Primary
		rgbGen wave sin .7 .4 0 .4
	}
	{
		map textures/illdm2/ter_rock.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}